Bug 122011 - Post scriplet fails when upgrading FC1 -> FC2t3
Post scriplet fails when upgrading FC1 -> FC2t3
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-04-29 14:10 EDT by Erik Karu
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 08:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erik Karu 2004-04-29 14:10:51 EDT
Description of problem:
Post scriptlet of sendmail RPM fails when upgrading sendmail RPM
during FC1 -> FC2t3 upgrade (with yum).

Version-Release number of selected component (if applicable):
sendmail-8.12.10-1.1.1
sendmail-8.12.11-4.6

How reproducible:
Always.

Steps to Reproduce:
1. Uh, upgrade FC1 -> FC2t3..
2. Watch for messages from rpm
  
Actual results:
An error is shown:

  27:sendmail              
########################################### [ 10%]
error: %post(sendmail-8.12.11-4.6) scriptlet failed, exit status 127

and both the old and the new sendmail RPMs are left as installed to
the system:

root@localhost:~# rpm -q sendmail
sendmail-8.12.10-1.1.1
sendmail-8.12.11-4.6


Expected results:
Scriplet succeeds and only the newer package is installed.

Additional info:
Should be fixed before FC2 goes gold! ;-)
Comment 1 Jeff Pitman 2004-11-25 03:26:22 EST
Still happens with FC2 -> FC3 upgrade.  Culprit is rebuilding maps at 
the end: 
 
## Rebuild maps (next reboot will rebuild also) 
# 
 
Do you have postfix as your selected MTA?  I do.  I'm wondering if 
that matters.  Anyway, don't have time to figger it ... don't use it. 
(Thus, I've rpm -e'd it) 
 
Comment 2 Thomas Woerner 2005-03-18 12:04:10 EST
Can you please attach a log, I can not reproduce the problem here.
Comment 3 Thomas Woerner 2005-05-11 08:22:26 EDT
Closing due to user inactivity.

Note You need to log in before you can comment on or make changes to this bug.